Subject: I-D Action: draft-rundgren-json-canonicalization-scheme-10.txt

From: [email-masked]
Date: Fri, 20 Sep 2019 01:21:09 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : JSON Canonicalization Scheme (JCS)
        Authors         : Anders Rundgren
                          Bret Jordan
                          Samuel Erdtman
	Filename        : draft-rundgren-json-canonicalization-scheme-10.txt
	Pages           : 21
	Date            : 2019-09-20

Abstract:
   Cryptographic operations like hashing and signing requires that the
   data is expressed in an invariant format.  One way to address this is
   to create a canonical representation of the data.  Canonicalization
   also permits data to be exchanged in its original form on the "wire"
   while secure cryptographic operations are performed on its
   canonicalized counterpart in the producer and consumer end points.
   The JSON Canonicalization Scheme (JCS) defines how to create a
   canonical representation of JSON data by building on the strict
   serialization methods for JSON primitives defined by ECMAScript,
   constraining JSON data to the I-JSON subset, and by using
   deterministic property sorting.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-rundgren-json-canonicalization-scheme/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-rundgren-json-canonicalization-scheme-10
https://datatracker.ietf.org/doc/html/draft-rundgren-json-canonicalization-scheme-10

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-rundgren-json-canonicalization-scheme-10

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/